Skip to main content
GET
/
v1
/
policies
/
{id}
Get policy by ID
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/policies/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "effect": "allow",
  "priority": 123,
  "agentId": "<string>",
  "principalId": "<string>",
  "scopes": [
    "<string>"
  ],
  "timeOfDayStart": "<string>",
  "timeOfDayEnd": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Path Parameters

id
string
required

Policy ID

Response

Policy details

id
string
name
string
effect
enum<string>
Available options:
allow,
deny
priority
integer
agentId
string
principalId
string
scopes
string[]
timeOfDayStart
string
timeOfDayEnd
string
createdAt
string<date-time>
updatedAt
string<date-time>